Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.datatypes.values
Class ValueEnumBase

    java.lang.Object
      org.deegree.datatypes.values.ValueEnumBase

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  AxisSubset, ValueEnum

    public abstract class ValueEnumBase

extends Object
implements Serializable

Since:
  2.0
Version:
  $Revision: 18195 $, 1.0. $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $
See Also:
  Serialized Form

Constructor Summary
`ValueEnumBase(Interval[] interval)`
`ValueEnumBase(Interval[] interval, TypedLiteral[] singleValue)`
`ValueEnumBase(TypedLiteral[] singleValue)`

Method Summary
`Interval[]` | `getInterval()`
`TypedLiteral[]` | `getSingleValue()`
`void` | `setInterval(Interval[] interval)`
`void` | `setSingleValue(TypedLiteral[] singleValue)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValueEnumBase

    public ValueEnumBase(TypedLiteral[] singleValue)
                  throws IllegalArgumentException

Parameters:
  `singleValue` -
Throws:
  `IllegalArgumentException`

### ValueEnumBase

    public ValueEnumBase(Interval[] interval)
                  throws IllegalArgumentException

Parameters:
  `interval` -
Throws:
  `IllegalArgumentException`

### ValueEnumBase

    public ValueEnumBase(Interval[] interval,
                         TypedLiteral[] singleValue)
                  throws IllegalArgumentException

Parameters:
  `singleValue` -
  `interval` -
Throws:
  `IllegalArgumentException`

Method Detail

### getInterval

    public Interval[] getInterval()

  Returns:
    Returns the interval.

### setInterval

    public void setInterval(Interval[] interval)
                     throws IllegalArgumentException

  Parameters:
    `interval` - The interval to set.
  Throws:
    `IllegalArgumentException` - if the interval is `null` or the singleValue is `null`

### getSingleValue

    public TypedLiteral[] getSingleValue()

  Returns:
    Returns the singleValue.

### setSingleValue

    public void setSingleValue(TypedLiteral[] singleValue)
                        throws IllegalArgumentException

  Parameters:
    `singleValue` - The singleValue to set.
  Throws:
    `IllegalArgumentException` - if the interval is `null` or the singleValue is `null`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org